Mark message as Read/Typing indicator

Use this API to Mark Message as read type Indicator.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Request Parameters

KeyDescriptionValueData typeRequired/OptionalConstraints
AuthorizationAccess Token for the application{{PARTNER_APP_TOKEN}}StringRequiredShould be a valid Partner App Access Token
appId

Id of the app for

whichcallback to
be set

{{APP_ID}}StringRequired
  • The Id should be a valid app Id of Gupshup.
  • It should belong to the sameaccount as the
    apikey.
  • Required

Sample Request

curl --location 'https://partner.gupshup.io/partner/app/{{APP_ID}}/v1/event' \
--header 'Authorization: {{PARTNER_APP_TOKEN}}' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data ' 
	{
		"type": "message-event",
		"message": 
		{
			"messaging_product": "whatsapp",
			"status": "read",
			"message_id": "{{INCOMING_MESSAGE_ID}}",
			"typing_indicator": 
			{
				"type": "text"
			}
		}
	}'

Sample Response

{
	"status": "success"
}

Status Codes

Status CodeResponseComments
Success
200

{

"status": "success"}

Error
400

{

"message": "Outbound event not supported","status": "error"}

Invalid status
400

{

"message": "Outbound event not supported","status": "error"}

Invalid payload
400

{

"message": "Invalid JSON payload","status": "error"}

Malformed json
400

{

"status": "error","message": "Please review the request parameters and retry"}

incorrect params
Path Params
string
required
Body Params
string
message
object
Responses

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json